## org.w3c.jigedit.filters
Class JigEditAclFilter

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.ResourceFrame
                              |
                              +--org.w3c.tools.resources.ResourceFilter
                                    |
                                    +--org.w3c.jigsaw.acl.AclFilter
                                          |
                                          +--org.w3c.jigedit.filters.JigEditAclFilter

public class JigEditAclFilter
extends AclFilter

Field Summary
`static int` `ATTR_SECURE_IPS` Attribute Index - Secure ip array
`protected IPMatcher` `ipmatcher` The IPMatcher to match secure IP

Fields inherited from class org.w3c.jigsaw.acl.AclFilter
`ATTR_ALGORITHM, ATTR_NONCE_TTL, ATTR_PRIVATE_CACHABILITY, ATTR_PUBLIC_CACHABILITY, ATTR_SECURITY_LEVEL, ATTR_SHARED_CACHABILITY, ATTR_STRICT_ACL_MERGE_POLICY, JAcl_class, security`

Fields inherited from class org.w3c.tools.resources.ResourceFrame
`filterClass, frameListener, resource`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL, co, id`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`JigEditAclFilter()`

Method Summary
`protected void` `authenticate(Request request, JAcl[] acls)` Authenticate the given request.
`protected IPMatcher` `getIPMatcher()`
`short[][]` `getSecureIPs()` Get the secure ip address
`void` `setValue(int idx, java.lang.Object value)` Catch set value on the filter, to maintain cached values.

Methods inherited from class org.w3c.jigsaw.acl.AclFilter
`getAcls, getAlgorithm, getNonceTTL, getPrivateCachability, getPublicCachability, getSecurityLevel, getSharedCachability, initialize, isStrictAclMergePolicy, lookup, outgoingFilter`

Methods inherited from class org.w3c.tools.resources.ResourceFilter
`exceptionFilter, getTargetResource, ingoingFilter, ingoingFilter, initialize, outgoingFilter, outputFilter, pickleValues`

Methods inherited from class org.w3c.tools.resources.ResourceFrame
`addFrameEventListener, attributeChanged, checkRequest, eventDisabled, fireFrameEvent, frameModified, getFilters, getFilters, getFrameReference, getResource, getResourceReference, getSpaceEntry, getURLPath, lookupFilters, lookupFrames, perform, postFrameEvent, processEvent, registerResource, removeFrameEventListener, unregisterResource, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource

`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, markModified, notifyUnload, performFrames, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setSilentValue, setSilentValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getServer, getSpace, getStoreEntry, getValue, getValue, isInitialized, isUnloaded, setContext, setContext, setValue, unsafeGetContext, unsafeGetIdentifier, unsafeGetValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, lookupAttribute, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unsafeGetString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_SECURE_IPS

    public static int ATTR_SECURE_IPS

  Attribute Index - Secure ip array

### ipmatcher

    protected IPMatcher ipmatcher

  The IPMatcher to match secure IP

Constructor Detail

### JigEditAclFilter

    public JigEditAclFilter()

Method Detail

### getIPMatcher

    protected IPMatcher getIPMatcher()

### getSecureIPs

    public short[][] getSecureIPs()

  Get the secure ip address

### setValue

    public void setValue(int idx,
                         java.lang.Object value)

  Catch set value on the filter, to maintain cached values.
  Overrides:
    setValue in class AclFilter
  Tags copied from class: ResourceFrame
  Parameters:
    `idx` - The index of the attribute to modify.
    `value` - The new attribute value.

### authenticate

    protected void authenticate(Request request,
                                JAcl[] acls)
                         throws ProtocolException

  Authenticate the given request.
  Overrides:
    authenticate in class AclFilter
  Parameters:
    `request` - The request to be authentified.
    `acls` - The Access Control List array.
  Throws:
    ProtocolException - if authentication failed